package com.jxdinfo.hussar.core.auto.common;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1StreamParser;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.Set;
import javax.annotation.processing.AbstractProcessor;
import javax.annotation.processing.RoundEnvironment;
import javax.lang.model.SourceVersion;
import javax.lang.model.element.AnnotationMirror;
import javax.lang.model.element.Element;
import javax.lang.model.element.TypeElement;
import javax.tools.Diagnostic;

public abstract class AbstractHussarProcessor extends AbstractProcessor {
  protected void fatalError(String str) {
    this.processingEnv.getMessager().printMessage(Diagnostic.Kind.ERROR, (new StringBuilder()).insert(0, ASN1StreamParser.strictfp("OWQQO&PTGU[=4")).append(str).toString());
  }
  
  public boolean process(Set<? extends TypeElement> set, RoundEnvironment roundEnvironment) {
    try {
      return processImpl(set, roundEnvironment);
    } catch (Exception exception) {
      fatalError(exception);
      return false;
    } 
  }
  
  protected void error(String str, Element element, AnnotationMirror annotationMirror) {
    this.processingEnv.getMessager().printMessage(Diagnostic.Kind.ERROR, str, element, annotationMirror);
  }
  
  protected void log(String str) {
    if (this.processingEnv.getOptions().containsKey("debug"))
      this.processingEnv.getMessager().printMessage(Diagnostic.Kind.NOTE, str); 
  }
  
  public SourceVersion getSupportedSourceVersion() {
    return SourceVersion.latestSupported();
  }
  
  protected void fatalError(Exception exception) {
    StringWriter stringWriter = new StringWriter();
    super(stringWriter);
    (new PrintWriter()).printStackTrace((PrintWriter)exception);
    stringWriter.fatalError(exception.toString());
  }
  
  protected abstract boolean processImpl(Set<? extends TypeElement> paramSet, RoundEnvironment paramRoundEnvironment);
}
